<?php

namespace Urdtlv;

use DB;
use Illuminate\Database\Seeder;

class ClientpayTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('client_orders')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'clientpay.client_order.view',
                'name'      => 'View ClientOrder',
            ],
            [
                'slug'      => 'clientpay.client_order.create',
                'name'      => 'Create ClientOrder',
            ],
            [
                'slug'      => 'clientpay.client_order.edit',
                'name'      => 'Update ClientOrder',
            ],
            [
                'slug'      => 'clientpay.client_order.delete',
                'name'      => 'Delete ClientOrder',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'clientpay.client_order.verify',
                'name'      => 'Verify ClientOrder',
            ],
            [
                'slug'      => 'clientpay.client_order.approve',
                'name'      => 'Approve ClientOrder',
            ],
            [
                'slug'      => 'clientpay.client_order.publish',
                'name'      => 'Publish ClientOrder',
            ],
            [
                'slug'      => 'clientpay.client_order.unpublish',
                'name'      => 'Unpublish ClientOrder',
            ],
            [
                'slug'      => 'clientpay.client_order.cancel',
                'name'      => 'Cancel ClientOrder',
            ],
            [
                'slug'      => 'clientpay.client_order.archive',
                'name'      => 'Archive ClientOrder',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/clientpay/client_order',
                'name'        => 'ClientOrder',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/clientpay/client_order',
                'name'        => 'ClientOrder',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'client_order',
                'name'        => 'ClientOrder',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Clientpay',
                'module'    => 'ClientOrder',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'clientpay.client_order.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
