<?php

namespace Urdtlv;

use DB;
use Illuminate\Database\Seeder;

class ClientpayTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('client_pays')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'clientpay.client_pay.view',
                'name'      => 'View ClientPay',
            ],
            [
                'slug'      => 'clientpay.client_pay.create',
                'name'      => 'Create ClientPay',
            ],
            [
                'slug'      => 'clientpay.client_pay.edit',
                'name'      => 'Update ClientPay',
            ],
            [
                'slug'      => 'clientpay.client_pay.delete',
                'name'      => 'Delete ClientPay',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'clientpay.client_pay.verify',
                'name'      => 'Verify ClientPay',
            ],
            [
                'slug'      => 'clientpay.client_pay.approve',
                'name'      => 'Approve ClientPay',
            ],
            [
                'slug'      => 'clientpay.client_pay.publish',
                'name'      => 'Publish ClientPay',
            ],
            [
                'slug'      => 'clientpay.client_pay.unpublish',
                'name'      => 'Unpublish ClientPay',
            ],
            [
                'slug'      => 'clientpay.client_pay.cancel',
                'name'      => 'Cancel ClientPay',
            ],
            [
                'slug'      => 'clientpay.client_pay.archive',
                'name'      => 'Archive ClientPay',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/clientpay/client_pay',
                'name'        => 'ClientPay',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/clientpay/client_pay',
                'name'        => 'ClientPay',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'client_pay',
                'name'        => 'ClientPay',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Clientpay',
                'module'    => 'ClientPay',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'clientpay.client_pay.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
